"""add submitted and complete notification templates


Revision ID: cb49c557f7e8
Revises: 32a78fe3bb5e
Create Date: 2021-04-08 12:29:10.757973

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'cb49c557f7e8'
down_revision = '32a78fe3bb5e'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
    INSERT INTO notification_templates (name, description, template) 
    VALUES ('submitted_email',
     'An email template for notifying a user that their capability request has been submitted.',
     'Subject: NRAO Workspaces Request #{{request_id}}: Submitted\n\n 
      Dear User,\n
      Your {{capability_name}} request has been submitted.\n
      You will be notified when it is complete.\n
      The status of your request can be tracked here:\n
      {{{status_link}}}\n
      Best regards,\n
      NRAO Workspaces  
      ')
    """)

    op.execute("""
    INSERT INTO notification_templates (name, description, template) 
    VALUES ('complete_email', 
    'An email template for notifying a user that their capability request is now complete.',
    'Subject: NRAO Workspaces Request #{{request_id}}: Complete\n\n
    Dear User,\n
    Thank you for using NRAO Workspaces.\n
    Your {{capbility_name}} request is now complete.\n
    Best regards,
    NRAO Workspaces')
    """)


def downgrade():
    op.execute("""
    DELETE FROM notification_templates WHERE name = 'submitted_email'
    """)

    op.execute("""
    DELETE FROM notification_templates WHERE name = 'complete_email'
    """)
