from abc import ABC, abstractmethod
from typing import Dict


class EstimationServiceIF(ABC):
    """
    Service that estimates how long a capability will take to complete
    """

    pass


class MetricsServiceIF(ABC):
    """
    Service that records metrics
    """

    pass


class ArchiveServiceIF(ABC):
    """
    Abstracts services that are needed from the archive system.
    """

    @abstractmethod
    def on_ingestion_complete(self, **message: Dict):
        """
        Catch ingestion-complete events

        :param message: the failure message
        :return:
        """

        raise NotImplementedError
